﻿html {
    height: 100%;
}

body {
    height: 100%;
    /*background-color: white;*/
    background-color: #EBEBEB;
    font-family: 'Noto Sans TC', sans-serif;
}

@media (min-width: 768px) {
    body {
        background-color: #EBEBEB;
    }
}

/*Header*/

.form1 {
    position: relative;
    width: 100%;
    min-height: 100%;
}

#M_Base2 .Header {
    position: fixed;
    z-index: 100;
    width: 100%;
}

    #M_Base2 .Header .container {
        height: 59px;
    }

    #M_Base2 .Header .navbar-nav {
    }

    #M_Base2 .Header nav .Logo {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        text-align: center;
        width: 120px;
        height: 45px;
    }

    #M_Base2 .Header nav .container .nav-item .MemberMark {
        display: inline-block;
        vertical-align: middle;
        width: 40px;
        height: 40px;
        border-radius: 50%;
        background-image: url(/_MasterPage/_Image/M_Base2/Logo.png);
        background-position: center center;
        background-size: contain;
        background-repeat: no-repeat;
        border: 1px solid #EBEBEB;
    }

    #M_Base2 .Header nav .container .nav-item .nav-link {
        line-height: 2.2;
    }

        #M_Base2 .Header nav .container .nav-item .nav-link .OrderNumber {
            position: absolute;
            font-size: 14px;
            top: 2px;
            right: 0;
            min-width: 20px;
            height: 20px;
            line-height: 20px;
            text-align: center;
            /*padding:0 4px;*/
            border-radius: 4px;
            background-color: #F66055;
            color: white;
        }
/*Main*/
#M_Base2 .Main {
    height: 100%;
    padding-top: 75px;
    padding-bottom: 100px;
    /*background-color: aqua;*/
}

@media (min-width: 768px) {
    #M_Base2 .Main {
        padding-top: 100px;
    }
}

@media (max-width: 768px) {
    #M_Base2 .Main .container {
        padding-bottom: 60px;
    }
}

/*Footer*/

#M_Base2 .Footer {
    position: fixed;
    z-index: 100;
    width: 100%;
    /*height: 100px;*/
    bottom: 0;
    font-size: 14px;
    text-decoration: none;
    background-color: white;
}

@media (min-width: 768px) {
    #M_Base2 .Footer {
        position: absolute;
    }
}

/*Footer-一般裝置*/

#M_Base2 .Footer .Display1 {
    display: none;
}



@media (min-width: 768px) {
    #M_Base2 .Footer .Display1 {
        display: block;
    }

        #M_Base2 .Footer .Display1 .col-3 .Logo {
            width: 120px;
            height: 45px;
        }

        #M_Base2 .Footer .Display1 .col-3 span {
            display: block;
            font-size: 14px;
        }
        /*#M_Base2 .Footer .col-3 .Logo img {
            max-width: 100%;
            height: 100%;
        }*/

        #M_Base2 .Footer .Display1 .col-6 a {
            display: inline-block;
            margin-right: 16px;
        }

        #M_Base2 .Footer .Display1 .col-3 .LinkIcon {
            display: block;
            width: 24px;
            height: 24px;
            flex: 0 0 auto;
            margin-left: 16px;
        }

        #M_Base2 .Footer .Display1 .col-3 .Face {
            background-image: url(/_MasterPage/_Image/M_Base2/Facebook.svg);
        }

        #M_Base2 .Footer .Display1 .col-3 .Line {
            background-image: url(/_MasterPage/_Image/M_Base2/Line.svg);
        }

        #M_Base2 .Footer .Display1 .col-3 .Ig {
            background-image: url(/_MasterPage/_Image/M_Base2/Instagram.svg);
        }
}

/*Footer-行動裝置*/
@media (min-width: 768px) {
    #M_Base2 .Footer .Display2 {
        display: none;
    }
}

#M_Base2 .Footer .Display2 .col {
    padding: 0;
}

    #M_Base2 .Footer .Display2 .col a .OrderNumber {
        position: absolute;
        z-index: 200;
        font-size: 14px;
        top: 5px;
        right: 10%;
        min-width: 20px;
        height: 20px;
        line-height: 20px;
        text-align: center;
        border-radius: 4px;
        background-color: #F66055;
        color: white;
    }

    #M_Base2 .Footer .Display2 .col a {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: space-between;
        width: 100%;
        height: 70px;
        padding: 14px 0 12px 0;
        /*background-color: #EBEBEB;*/
        background-color: #ffffff;
        text-decoration: none;
        font-size: 16px;
        color: #F18E0F;
    }

        #M_Base2 .Footer .Display2 .col a.Active {
            background-color: white;
            color: #0094ff;
        }

        #M_Base2 .Footer .Display2 .col a .fas {
            font-size: 18px;
        }

/* 行動版本 OrderBtn */

#M_Base2 .OrderBtn {
    position: fixed;
    z-index: 100;
    display: none;
    width: 100%;
    bottom: 70px;
    background-color: #323232;
}

    #M_Base2 .OrderBtn.Show {
        display: block;
    }

    #M_Base2 .OrderBtn .OrderBtn-Content {
        color: white;
        text-decoration: none;
        font-size: 16px;
    }

        #M_Base2 .OrderBtn .OrderBtn-Content .OrderNumber {
            position: absolute;
            z-index: 200;
            font-size: 14px;
            top: -10px;
            right: 30px;
            min-width: 20px;
            height: 20px;
            line-height: 20px;
            text-align: center;
            border-radius: 4px;
            background-color: #F66055;
            color: white;
        }

        #M_Base2 .OrderBtn .OrderBtn-Content .col-5, #M_Base2 .OrderBtn .OrderBtn-Content .col-7 {
            height: 60px;
        }

        #M_Base2 .OrderBtn .OrderBtn-Content .col-5 {
            padding-left: 48px;
        }

        #M_Base2 .OrderBtn .OrderBtn-Content .col-7 {
            padding-right: 48px;
        }

            #M_Base2 .OrderBtn .OrderBtn-Content .col-7 span + span {
                margin-left: 8px;
            }

/* PC版本 OrderBtn */

@media (min-width: 768px) {

    #M_Base2 .OrderBtn {
        position: fixed;
        z-index: 100;
        display: none;
        width: 200px;
        border-radius: 8px;
        right: 5%;
        bottom: 70px;
        background-color: #323232;
    }

        #M_Base2 .OrderBtn .OrderBtn-Content .col-5 {
            padding-left: 30px;
        }

        #M_Base2 .OrderBtn .OrderBtn-Content .col-7 {
            padding-right: 30px;
        }
}
/*PopUp視窗*/
#M_Base2 .modal-header {
    padding: 1rem 1rem 7px 1rem;
    border-bottom: 0px solid #e9ecef;
}

#M_Base2 .modal-footer {
    border-top: 0px solid #e9ecef;
}
